Summary: A modular mailing list manager.
Name: listar
Version: 0.129a
Release: 7
Copyright: GPL
Group: Applications/Internet
Source: ftp://ftp.listar.org/pub/listar/%{name}-%{version}.tar.gz
Patch0: trust.patch
Patch1: FHS.patch
Patch2: stdlib.patch
Patch3: Makefile.patch
URL: http://www.listar.org/
Buildroot: /var/tmp/listar-root

%description
Listar is a modular mailing list manager.  All of Listar's
functionality is provided in individual lpm (Listar Plugin Module)
files.  This modularity allows new commands and functions to be added
on the fly.  Listar has many useful features, including support for
flags set on user accounts (similar to L-soft Listserv) and a very
secure remote administration method using e-mail.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
cd src
cp Makefile.dist Makefile
make install 

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_localstatedir}/listar/{queue,modules,lists,scripts}
install -s src/listar $RPM_BUILD_ROOT%{_localstatedir}/listar
install -s modules/*.lpm $RPM_BUILD_ROOT%{_localstatedir}/listar/modules
install scripts/* $RPM_BUILD_ROOT%{_localstatedir}/listar/scripts
install listar.cfg.dist $RPM_BUILD_ROOT%{_localstatedir}/listar/listar.cfg
install listar.aliases.dist $RPM_BUILD_ROOT%{_localstatedir}/listar/listar.aliases
install banned $RPM_BUILD_ROOT%{_localstatedir}/listar/banned
install spam-regexp.sample $RPM_BUILD_ROOT%{_localstatedir}/listar/spam-regexp.sample
install listar.hlp $RPM_BUILD_ROOT%{_localstatedir}/listar/listar.hlp

%pre
cut -d: -f1 /etc/passwd | grep listar
if [ $? -ne 0 ]; then
        /usr/sbin/useradd -d %{_localstatedir}/listar -s /bin/false -c "list manager" \
	listar 2> /dev/null || :
	exit 0
fi

%postun
if [ $1 = 0 ]; then 
	/usr/sbin/userdel -r listar 2>/dev/null || :
	/usr/sbin/groupdel listar 2>/dev/null || :
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README README.* NOTE LICENSE PLATFORMS src/CHANGELOG
%defattr(-,listar,listar)
%attr(4755,listar,listar) %{_localstatedir}/listar/listar
%attr(751,listar,listar)  %dir %{_localstatedir}/listar/lists
%attr(750,listar,listar)  %dir %{_localstatedir}/listar/queue
%attr(750,listar,listar)  %{_localstatedir}/listar/modules/*
%{_localstatedir}/listar/scripts/*
%config %{_localstatedir}/listar/listar.cfg
%config %{_localstatedir}/listar/listar.aliases
%config %{_localstatedir}/listar/banned
%{_localstatedir}/listar/spam-regexp.sample
%{_localstatedir}/listar/listar.hlp

%changelog
* Tue Aug 1 2000 Tim Powers <timp@redhat.com>
- fixed bug #15058 where applicable. Some files shouldn't be owner/group
  listar, while some should definitely be owned by listar

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Sun Jul 23 2000 Tim Powers <timp@redhat.com>
- patched so that it won;t use -Werror and crap out because of no newline
  warnings

* Wed Jul 12 2000 Tim Powers <timp@redhat.com>
- fixed problem with undefined ref. to exit (patch2)

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Jun 1 2000 Tim Powers <timp@redhat.com>
- fixed so that it doesn't throw crap into /home, now in /var instead

* Mon May 15 2000 Tim Powers <timp@redhat.com>
- updated to 0.129a
- dinky patch to help build on alpha

* Thu Nov 18 1999 Tim Powers <timp@redhat.com>
- updated to 0.128a

* Tue Aug 17 1999 Tim Powers <timp@redhat.com>
- fixed problem with stale /home/listar remaining after uninstall

* Wed May 12 1999 Bill Nottingham <notting@redhat.com>
- what he said.

* Tue May 11 1999 Cristian Gafton <gafton@redhat.com>
- fix broken pre script

* Thu Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for powertools.
- added post and pre scripts.
 
* Mon Mar 8 1999 JT Traub <jtraub@dragoncat.net>
- Added the changelog section to the SPEC file.

